Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fontbox.ttf
Class HorizontalMetricsTable

    java.lang.Object
      org.fontbox.ttf.TTFTable
          org.fontbox.ttf.HorizontalMetricsTable

public class HorizontalMetricsTable
extends TTFTable

A table in a true type font.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@benlitchfield.com)

Field Summary
`static String` | `TAG` A tag that identifies this table type.

Constructor Summary
`HorizontalMetricsTable()`

Method Summary
`int[]` | `getAdvanceWidth()`
`void` | `initData(TrueTypeFont ttf, TTFDataStream data)` This will read the required data from the stream.
`void` | `setAdvanceWidth(int[] advanceWidthValue)`

Methods inherited from class org.fontbox.ttf.TTFTable
`getCheckSum, getLength, getOffset, getTag, setCheckSum, setLength, setOffset, setTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG

    public static final String TAG

  A tag that identifies this table type.

  See Also:
    Constant Field Values

Constructor Detail

### HorizontalMetricsTable

    public HorizontalMetricsTable()

Method Detail

### initData

    public void initData(TrueTypeFont ttf,
                         TTFDataStream data)
                  throws IOException

  This will read the required data from the stream.

  Overrides:
    `initData` in class `TTFTable`
  Parameters:
    `ttf` - The font that is being read.
    `data` - The stream to read the data from.
  Throws:
    `IOException` - If there is an error reading the data.

### getAdvanceWidth

    public int[] getAdvanceWidth()

  Returns:
    Returns the advanceWidth.

### setAdvanceWidth

    public void setAdvanceWidth(int[] advanceWidthValue)

  Parameters:
    `advanceWidthValue` - The advanceWidth to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD